/* CEMethod.h				 
 *
 * This object controls the data of a beaker (molecules, cameras, groups etc.)
 * It is the main document of BeakerBoy and controls everything from loading to
 * setting up the browser which does most of the other work.
 *
 * Usage: ....
 *
 * Written by: 		Thomas Engel
 * Created:    		23.10.1993 (Copyleft)
 * Last modified: 	12.11.1994
 */

#import <appkit/appkit.h>
#import <misckit/MiscProtocols.h>

@interface CEMethod : Object <MiscCompare>
{
	id	name;
	id	selectorName;
}

+ initialize;

- init;
- initFromText:theLine;
- free;

- (const char *)name;
- (const char *)selectorName;
- methodTokens;
- (int)numberOfArguments;

- (BOOL)isInstanceMethod;

// drag handling 

- dragImage;
- (const char *)dragImageTitle;
- prepareDraggingPboard:aPboard;

- copy;
- copyTo:aPasteboard;

@end

/*
 * History: 13.01.95 Buh
 *			
 *
 * Bugs: - ...
 */